curl --request GET \
--url https://prod01.oms.fabric.inc/api/v2/allocation/{allocationId} \
--header 'Authorization: Bearer <token>' \
--header 'x-site-context: <x-site-context>'import requests
url = "https://prod01.oms.fabric.inc/api/v2/allocation/{allocationId}"
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};
fetch('https://prod01.oms.fabric.inc/api/v2/allocation/{allocationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"allocationId": "62ff5c0bec0aed3c86202c32",
"parentAllocationId": "62ff5c0bec0aed3c86202c32",
"locationNum": "1234B",
"items": [
{
"itemId": "100064",
"sku": "123k4h123k",
"quantity": 3,
"allocationLineNumber": 3,
"orderLineId": "134fqfaa532qrf",
"orderId": "123k4h123k",
"orderDate": "2022-08-01T18:03:28.483971941Z",
"estimatedDeliveryDate": "2022-08-01T18:03:28.483971941Z",
"parentAllocationLineNumber": 3,
"reallocationRequestId": "123k4h123k",
"shippedQuantity": 1,
"scratchQuantity": 1,
"scratchedReasonCode": "Scratched during shipment",
"reshipReasonCode": "Reshipping during shipment",
"reallocationReasonCode": "Reallocating due to unavailability of location number",
"channelId": "12",
"segment": null,
"vendorId": "56",
"title": "Demo",
"weight": 5.5,
"cost": 500.2,
"price": 50.2,
"itemStatus": "ALLOCATED",
"attributes": {},
"uom": "KG"
}
],
"version": 2,
"allocationRequestId": "62ff5c0bec0aed3c86202c32",
"allocationNum": "xxyyzz12345",
"sentToPPSDate": "2022-08-01T18:03:28.483971941Z",
"allocationDate": "2022-08-01T18:03:28.483971941Z",
"updatedAt": "2022-08-01T20:03:28.483971941Z",
"type": "ALLOCATED",
"previousAllocationLocationNum": 410,
"poNumber": "1125",
"itemsType": "WEB_SHIP",
"orderSubType": "BORDERFREE",
"vendorId": "56",
"shipDate": null,
"shipType": "SHIP_TO_ADDRESS",
"shipMethod": "Overnight Delivery",
"shipToId": "98ff5c0bec0aed3c86202c32",
"statusCode": "PENDING_PICK",
"locationType": "1234B",
"shipToAddress": {},
"recipient": [
{
"name": {
"first": "John",
"middle": "Middle",
"last": "Doe"
},
"email": "demo@xyz.inc",
"phone": {
"number": "55555555555",
"type": "MOBILE"
},
"pickupType": "Primary"
}
],
"auditLogs": [
{
"lineItemId": "4",
"auditId": "62272e917b12209e68751d94",
"auditType": "UPDATE",
"employeeId": "62272e917b12209e68751d94",
"auditTimestamp": "2022-05-12T09:24:54.804Z",
"source": "POS",
"reasonCode": "POS",
"subReasonCode": "POS",
"policyCode": "POS",
"note": "Note",
"lineItemNumber": 1,
"sku": "F5F",
"quantity": 1,
"amount": 2.4,
"paymentToken": {
"token": "pi_34tr6787rt",
"paymentType": "VISA"
},
"success": true,
"paymentResponse": {},
"updatedFields": [
{
"fieldName": "UOM",
"fieldOriginalValue": "PK"
}
],
"attributes": {}
}
]
}{
"message": "Allocation details are not available for this allocation Id"
}{
"message": "Internal Server Error"
}Get allocation
Gets allocation details by allocation ID
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Path Parameters
24-character system-generated allocation ID
Response
Allocation Details
Allocation details
Unique ID for an allocation document
"62ff5c0bec0aed3c86202c32"
Same as previous allocation document while creating new allocation
"62ff5c0bec0aed3c86202c32"
Tenant's ship-from location ID
"1234B"
List of items to be shipped
Show child attributes
Show child attributes
Current version of allocation document
2
Allocation request ID used for tracking internal communication. Required to update allocation details.
"62ff5c0bec0aed3c86202c32"
Allocation number for client tracking
"xxyyzz12345"
Time of sending allocation event to PPS
"2022-08-01T18:03:28.483971941Z"
Time of allocation creation and when it was stored in database
"2022-08-01T18:03:28.483971941Z"
Time of allocation update
"2022-08-01T20:03:28.483971941Z"
Allocation type
ALLOCATED, SCRATCHED, RETURNED "ALLOCATED"
In reallocation scenarios, keeps track of the previously allocation location numbers
410
Purchase order number (generally, vendor-generated)
"1125"
Items type
WEB_SHIP, POS, WEB "WEB_SHIP"
Sub-type of order
IOS, Android, International, Borderfree "BORDERFREE"
Vendor ID
"56"
Estimated ship date
null
Optional field for shipment type
"SHIP_TO_ADDRESS"
Optional field for shipment method
"Overnight Delivery"
Unique Id for delivery address
"98ff5c0bec0aed3c86202c32"
Allocation status code
ALLOCATED, PENDING_DROP, PENDING_PICK, SHIPPED, PARTIALLY_SHIPPED, REALLOCATED, CANCELLED, PARTIALLY_CANCELLED "PENDING_PICK"
Tenant's ship-from location type
"1234B"
Recipient details such as phone number, email, and name
Show child attributes
Show child attributes
Logs with updated fields
Show child attributes
Show child attributes
Was this page helpful?
